List eSIM orders
curl --request GET \
--url https://sandbox-api.sakawave.example/v1/esims/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.sakawave.example/v1/esims/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox-api.sakawave.example/v1/esims/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "01K2Z3AB4S5T6V7W8XYZABCDEF",
"kind": "purchase",
"status": "completed",
"package": {
"id": "01K2Z3AB4C5D6E7F8GHJKMNPQR",
"code": "PKG-US-5GB",
"name": "United States 5GB"
},
"quantity": 1,
"customerId": null,
"price": {
"amount": "999",
"currency": "USD",
"display": "9.99"
},
"paid": {
"amount": "1568430",
"currency": "NGN",
"display": "15,684.30"
},
"fee": {
"amount": "0",
"currency": "NGN",
"display": "0.00"
},
"refunded": {
"amount": "0",
"currency": "NGN",
"display": "0.00"
},
"rate": "1570.000000000000",
"externalReference": "esim_20260829_001",
"failureReason": null,
"profileIds": [
"01K2Z3AB4R5S6T7V8WXYZABCDE"
],
"completedAt": "2026-08-29T10:30:12.000Z",
"createdAt": "2026-08-29T10:30:00.000Z",
"updatedAt": "2026-08-29T10:30:12.000Z"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}{
"statusCode": 400,
"message": "Must be a valid identifier.",
"code": "validation_failed",
"errors": [
{
"message": "Must be a valid identifier.",
"field": "accountId",
"code": "custom",
"path": [
"accountId"
]
}
]
}{
"statusCode": 401,
"code": "INVALID_API_KEY",
"message": "Invalid or inactive API credentials."
}{
"statusCode": 429,
"message": "Too many API requests. Try again later.",
"code": "api_key_rate_limit_exceeded",
"retryAfterSeconds": 17
}{
"statusCode": 500,
"code": "internal_server_error",
"message": "An unexpected error occurred."
}eSIM
List eSIM orders
Purchases and top-ups, with what each one cost.
GET
/
v1
/
esims
/
orders
List eSIM orders
curl --request GET \
--url https://sandbox-api.sakawave.example/v1/esims/orders \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandbox-api.sakawave.example/v1/esims/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://sandbox-api.sakawave.example/v1/esims/orders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "01K2Z3AB4S5T6V7W8XYZABCDEF",
"kind": "purchase",
"status": "completed",
"package": {
"id": "01K2Z3AB4C5D6E7F8GHJKMNPQR",
"code": "PKG-US-5GB",
"name": "United States 5GB"
},
"quantity": 1,
"customerId": null,
"price": {
"amount": "999",
"currency": "USD",
"display": "9.99"
},
"paid": {
"amount": "1568430",
"currency": "NGN",
"display": "15,684.30"
},
"fee": {
"amount": "0",
"currency": "NGN",
"display": "0.00"
},
"refunded": {
"amount": "0",
"currency": "NGN",
"display": "0.00"
},
"rate": "1570.000000000000",
"externalReference": "esim_20260829_001",
"failureReason": null,
"profileIds": [
"01K2Z3AB4R5S6T7V8WXYZABCDE"
],
"completedAt": "2026-08-29T10:30:12.000Z",
"createdAt": "2026-08-29T10:30:00.000Z",
"updatedAt": "2026-08-29T10:30:12.000Z"
}
],
"pagination": {
"page": 1,
"pageSize": 20,
"total": 1,
"totalPages": 1
}
}{
"statusCode": 400,
"message": "Must be a valid identifier.",
"code": "validation_failed",
"errors": [
{
"message": "Must be a valid identifier.",
"field": "accountId",
"code": "custom",
"path": [
"accountId"
]
}
]
}{
"statusCode": 401,
"code": "INVALID_API_KEY",
"message": "Invalid or inactive API credentials."
}{
"statusCode": 429,
"message": "Too many API requests. Try again later.",
"code": "api_key_rate_limit_exceeded",
"retryAfterSeconds": 17
}{
"statusCode": 500,
"code": "internal_server_error",
"message": "An unexpected error occurred."
}Error codes
| Status | code | Cause |
|---|---|---|
401 | INVALID_API_KEY | The key is missing, invalid, inactive, expired, from the other environment, or blocked by its IP allowlist. |
429 | api_key_rate_limit_exceeded | The per-minute limit for this key was exceeded. |
503 | esim_feature_disabled | eSIM is not enabled on this deployment. |
503 | esim_catalog_unavailable | The catalog is empty and could not be refreshed from the provider. |
503 | esim_provider_unavailable | The eSIM provider could not be reached. Nothing was charged. |
Authorizations
A secret API key, sent as Authorization: Bearer sk_test_… in sandbox or Bearer sk_live_… in live.
Query Parameters
One-based page number.
Required range:
x >= 1Records per page.
Required range:
1 <= x <= 100Filter by order state.
Available options:
provisioning, completed, failed, refunded, partially_refunded